# engine_gui.cpp File Reference

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "gfx_func.h"`
`#include "engine.h"`
`#include "command_func.h"`
`#include "economy_func.h"`
`#include "news.h"`
`#include "variables.h"`
`#include "newgrf_engine.h"`
`#include "strings_func.h"`
`#include "articulated_vehicles.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Data Structures

struct | DrawEngineInfo

## Typedefs

typedef void | DrawEngineProc (int x, int y, EngineID engine, SpriteID pal)
typedef void | DrawEngineInfoProc (EngineID, int x, int y, int maxw)

## Functions

static StringID | GetEngineCategoryName (EngineID engine)
static void | DrawTrainEngineInfo (EngineID engine, int x, int y, int maxw)
static void | DrawRoadVehEngineInfo (EngineID engine, int x, int y, int maxw)
static void | DrawShipEngineInfo (EngineID engine, int x, int y, int maxw)
static void | DrawAircraftEngineInfo (EngineID engine, int x, int y, int maxw)
static void | EnginePreviewWndProc (Window *w, WindowEvent *e)
void | ShowEnginePreviewWindow (EngineID engine)
static uint | GetTotalCapacityOfArticulatedParts (EngineID engine, VehicleType type)
StringID | GetNewsStringNewVehicleAvail (const NewsItem *ni)
void | DrawNewsNewVehicleAvail (Window *w)

## Variables

static const Widget | _engine_preview_widgets []
static const DrawEngineInfo | _draw_engine_list [4]
static const WindowDesc | _engine_preview_desc

## Detailed Description

Definition in file engine_gui.cpp.

## Variable Documentation

const DrawEngineInfo _draw_engine_list[4]`[static]`

Initial value:

     {
      { DrawTrainEngine,    DrawTrainEngineInfo    },
      { DrawRoadVehEngine,  DrawRoadVehEngineInfo  },
      { DrawShipEngine,     DrawShipEngineInfo     },
      { DrawAircraftEngine, DrawAircraftEngineInfo },
    }

Definition at line 62 of file engine_gui.cpp.

const WindowDesc _engine_preview_desc`[static]`

Initial value:

     {
      WDP_CENTER, WDP_CENTER, 300, 192, 300, 192,
      WC_ENGINE_PREVIEW, WC_NONE,
      WDF_STD_TOOLTIPS | WDF_STD_BTN | WDF_DEF_WIDGET,
      _engine_preview_widgets,
      EnginePreviewWndProc
    }

Definition at line 106 of file engine_gui.cpp.

const Widget _engine_preview_widgets[]`[static]`

Initial value:

     {
    {   WWT_CLOSEBOX,   RESIZE_NONE,     5,     0,    10,     0,    13, STR_00C5,                                  STR_018B_CLOSE_WINDOW},
    {    WWT_CAPTION,   RESIZE_NONE,     5,    11,   299,     0,    13, STR_8100_MESSAGE_FROM_VEHICLE_MANUFACTURE, STR_018C_WINDOW_TITLE_DRAG_THIS},
    {      WWT_PANEL,   RESIZE_NONE,     5,     0,   299,    14,   191, 0x0,                                       STR_NULL},
    { WWT_PUSHTXTBTN,   RESIZE_NONE,     5,    85,   144,   172,   183, STR_00C9_NO,                               STR_NULL},
    { WWT_PUSHTXTBTN,   RESIZE_NONE,     5,   155,   214,   172,   183, STR_00C8_YES,                              STR_NULL},
    {   WIDGETS_END},
    }

Definition at line 40 of file engine_gui.cpp.